Yahoo!: Safari sucks

Or in their own words:

Please download a compatible browser

whereupon they go on to claim that IE5.5 among others would be a good choice. Excuse me? I thought Yahoo! was pretty up to date with the whole AJAXY/web2.0 bandwagon. I have a feeling someone who shouldn’t be in charge of making desitions made a desition.

Advertisements

Comments are closed.